#ifndef DUST_SMELTING_RULE_HPP_
#define DUST_SMELTING_RULE_HPP_

#include <SmeltingRule/SmeltingRule.hpp>

/**
 * @brief Describes the smelting rule that dusts become ingots.
 */
class DustSmeltingRule : public SmeltingRule
{
public:
    virtual bool canSmelt(ItemStack &stack) override;
    virtual ItemStack getSmeltingResult(ItemStack &input) override;
};

#endif